/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { TextCellInfoDescription } from "./TextCellInfoDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var TextHeaderCellInfoDescription = /** @class */ (function (_super) {
    __extends(TextHeaderCellInfoDescription, _super);
    function TextHeaderCellInfoDescription() {
        var _this = _super.call(this) || this;
        _this.dk = false;
        return _this;
    }
    TextHeaderCellInfoDescription.prototype.get_type = function () {
        return "TextHeaderCellInfo";
    };
    Object.defineProperty(TextHeaderCellInfoDescription.prototype, "isFilterUIVisible", {
        get: function () {
            return this.dk;
        },
        set: function (a) {
            this.dk = a;
            this.e("IsFilterUIVisible");
        },
        enumerable: true,
        configurable: true
    });
    TextHeaderCellInfoDescription.$t = markType(TextHeaderCellInfoDescription, 'TextHeaderCellInfoDescription', TextCellInfoDescription.$);
    return TextHeaderCellInfoDescription;
}(TextCellInfoDescription));
export { TextHeaderCellInfoDescription };
